Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::pdf::SplitFileResult Class Reference

Inherits Object.

## Public Types
enum | SplitFileState { e_SplitFileSuccess = 0, e_SplitFileErrSizeTooSmall = 1, e_SplitFileErrFileExist = 2, e_SplitFileErrAccessDeny = 3 }
| Enumeration for the state of split file. More...

## Public Member Functions
| SplitFileResult ()
| Constructor.
| SplitFileResult (const wchar_t *before_splitting_file_name, WStringArray after_split_files_paths, SplitFileState split_file_state)
| Constructor, with parameters. More...
SplitFileResult & | operator= (const SplitFileResult &data)
| Assign operator. More...

## Public Attributes
WStringArray | after_split_files_paths
| An array of strings used to represent the paths of multiple PDF documents generated by splitting. More...
WString | before_splitting_file_name
| A string value used to represent the original PDF file name before splitting. More...
SplitFileState | split_file_state
| An enumeration value used to represent the status of the PDF documents generated by splitting. More...

## Detailed Description

This class represents result information of the PDF document generated by splitting.

## Member Enumeration Documentation

## ◆ SplitFileState

enum foxit::pdf::SplitFileResult::SplitFileState

Enumeration for the state of split file.

Values of this enumeration should be used alone.

Enumerator
e_SplitFileSuccess | The state is split successfully.
e_SplitFileErrSizeTooSmall | The state is failed due to file size being too small. @detail If the file size of the PDF document to be split is smaller than the value of parameter max_file_size in function StartSplitByFileSize, then this state will be returned in the file split result.
e_SplitFileErrFileExist | The state is failed due to file exist. @detail If a PDF document generated by splitting already exists, and the value of is_overwrite in the object of SplitOutputSettingData is set to false, then this state will be returned in the file split result.
e_SplitFileErrAccessDeny | The state is failed due to file access being denied. @detail If the PDF document to be split is denied access, then this state will be returned in the file split result. The state is failed due to file access being denied.

## Constructor & Destructor Documentation

## ◆ SplitFileResult()

foxit::pdf::SplitFileResult::SplitFileResult | ( | const wchar_t * | before_splitting_file_name,
|  | WStringArray | after_split_files_paths,
|  | SplitFileState | split_file_state
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | before_splitting_file_name | A string value used to represent the original PDF file name before splitting.
  [in] | after_split_files_paths | An array of strings used to represent the paths of multiple PDF documents generated by splitting.
  [in] | split_file_state | An enumeration value used to represent the status of the PDF documents generated by splitting.

## Member Function Documentation

## ◆ operator=()

SplitFileResult& foxit::pdf::SplitFileResult::operator= | ( | const SplitFileResult & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another Split-File-Result data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## Member Data Documentation

## ◆ after_split_files_paths

WStringArray foxit::pdf::SplitFileResult::after_split_files_paths

An array of strings used to represent the paths of multiple PDF documents generated by splitting.

## ◆ before_splitting_file_name

WString foxit::pdf::SplitFileResult::before_splitting_file_name

A string value used to represent the original PDF file name before splitting.

## ◆ split_file_state

SplitFileState foxit::pdf::SplitFileResult::split_file_state

An enumeration value used to represent the status of the PDF documents generated by splitting.